# Get Tokens

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Tokens"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/model_registry_tokens"}
  context={"endpoint"}
>
  
</MethodEndpoint>

:::caution deprecated

This endpoint has been deprecated and may be replaced or removed in future versions of the API.

:::

Returns the existing model tokens.

<ParamsDetails
  parameters={undefined}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"items":{"properties":{"invalid":{"description":"Indicates whether the token is invalid.","title":"Invalid Token","type":"boolean"},"model_registry_token_id":{"description":"Unique identifier of the model registry token.","format":"uuid","title":"Model registry token ID","type":"string"},"provider":{"description":"Model provider, for example Hugging Face.","title":"Provider","enum":["aws-bedrock","azure-document-intelligence","azure-openai","cohere","deepl","google","huggingface","nvidia","openai","searchapi","snowflake","unstructured","voyage-ai","wandb-ai","mongodb","together-ai","aws-bedrock-api-key","anthropic"],"type":"string"},"provider_domain":{"description":"Model provider domain, for example huggingface.co.","title":"Provider Domain","type":"string"}},"required":["model_registry_token_id","provider_domain","provider","invalid"],"title":"Model Registry Token","type":"object"},"title":"Response Get Tokens Api V1 Model Registry Tokens Get","type":"array"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
